Get a Rightmove property's details
curl --request POST \
--url https://api.stophy.dev/v1/rightmove/property \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: '<string>'})
};
fetch('https://api.stophy.dev/v1/rightmove/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/rightmove/property"
payload = { "property": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"property": {
"url": "<string>",
"id": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"description": "<string>",
"price": 1,
"currency": "<string>",
"priceText": "<string>",
"priceQualifier": "<string>",
"pricePerSqft": 123,
"channel": "<string>",
"bedrooms": 0,
"bathrooms": 0,
"propertyType": "<string>",
"tenure": {
"type": "<string>",
"yearsRemaining": 123
},
"sizes": [
{
"value": 123,
"unit": "<string>"
}
],
"councilTaxBand": "<string>",
"annualServiceCharge": 123,
"annualGroundRent": 123,
"updateReason": "<string>",
"tags": [
"<string>"
],
"keyFeatures": [
"<string>"
],
"images": [
{
"url": "<string>",
"caption": "<string>"
}
],
"floorplans": [
"<string>"
],
"location": {
"lat": 0,
"lng": 0
},
"nearestStations": [
{
"name": "<string>",
"types": [
"<string>"
],
"distanceMiles": 123
}
],
"agent": {
"name": "<string>",
"branchId": "<string>",
"phone": "<string>",
"company": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Rightmove
Rightmove property API
Call the Rightmove property API to get address, description, price, currency, price text and price qualifier, as JSON or markdown. 1 credit.
POST
/
v1
/
rightmove
/
property
Get a Rightmove property's details
curl --request POST \
--url https://api.stophy.dev/v1/rightmove/property \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: '<string>'})
};
fetch('https://api.stophy.dev/v1/rightmove/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/rightmove/property"
payload = { "property": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"property": {
"url": "<string>",
"id": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"description": "<string>",
"price": 1,
"currency": "<string>",
"priceText": "<string>",
"priceQualifier": "<string>",
"pricePerSqft": 123,
"channel": "<string>",
"bedrooms": 0,
"bathrooms": 0,
"propertyType": "<string>",
"tenure": {
"type": "<string>",
"yearsRemaining": 123
},
"sizes": [
{
"value": 123,
"unit": "<string>"
}
],
"councilTaxBand": "<string>",
"annualServiceCharge": 123,
"annualGroundRent": 123,
"updateReason": "<string>",
"tags": [
"<string>"
],
"keyFeatures": [
"<string>"
],
"images": [
{
"url": "<string>",
"caption": "<string>"
}
],
"floorplans": [
"<string>"
],
"location": {
"lat": 0,
"lng": 0
},
"nearestStations": [
{
"name": "<string>",
"types": [
"<string>"
],
"distanceMiles": 123
}
],
"agent": {
"name": "<string>",
"branchId": "<string>",
"phone": "<string>",
"company": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
rightmove.property - Returns:
datahasproperty. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.rightmove.property({ property: "https://www.rightmove.co.uk/properties/123456789" });
console.log(result.data.property);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.rightmove.property(property="https://www.rightmove.co.uk/properties/123456789")
print(result["data"]["property"])
curl -X POST https://api.stophy.dev/v1/rightmove/property \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"property":"https://www.rightmove.co.uk/properties/123456789"}'
stophy rightmove property https://www.rightmove.co.uk/properties/123456789
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json